MINIFLUX(1)

NAME
miniflux - Minimalist and opinionated feed reader

SYNOPSIS
miniflux [-vic] [-config-dump] [-config-file] [-create-admin] [-debug] [-flush-sessions]
    [-healthcheck] [-info] [-migrate] [-refresh-feeds] [-reset-feed-errors] [-reset-password]
    [-run-cleanup-tasks] [-version]

DESCRIPTION
miniflux is a minimalist and opinionated feed reader.

OPTIONS

-config-dump
    Print parsed configuration values. This will include sensitive information like passwords.

-c /path/to/miniflux.conf
    Load configuration file.

-config-file /path/to/miniflux.conf
    Load configuration file.

-create-admin
    Create admin user.

-debug
    Set log level to debug.

-export-user-feeds <username>
    Export user feeds (provide the username as argument).
    Example: "miniflux -export-user-feeds someone > feeds.xml".

-flush-sessions
    Flush all sessions (disconnect users).

-healthcheck <endpoint>
    Perform a health check on the given endpoint.
    The value "auto" try to guess the health check endpoint.

-i
    Show build information.

-info
    Show build information.

-migrate
    Run SQL migrations.

-refresh-feeds
    Refresh a batch of feeds and exit.

-reset-feed-errors
    Clear all feed errors for all users.

-reset-password
    Reset user password.

-run-cleanup-tasks
    Run cleanup tasks (delete old sessions and archives old entries).

-v
    Show application version.

-version
    Show application version.

CONFIGURATION FILE
The configuration file is a text file that follow these rules:

- Miniflux expects each line to be in KEY=VALUE format.
- Lines beginning with # are processed as comments and ignored.
- Blank lines are ignored.
- There is no variable interpolation.

Keys are the same as the environment variables described below.
Environment variables override the values defined in the config file.

ENVIRONMENT

FETCH_ODYSEE_WATCH_TIME
    Set the value to 1 to scrape video duration from Odysee website and use it as a reading time.
    Disabled by default.

FETCH_YOUTUBE_WATCH_TIME
    Set the value to 1 to scrape video duration from YouTube website and use it as a reading time.
    Disabled by default.

YOUTUBE_EMBED_URL_OVERRIDE
    YouTube URL which will be used for embeds.
    Default is https://www.youtube-nocookie.com/embed/

SERVER_TIMING_HEADER
    Set the value to 1 to enable server-timing headers.
    Disabled by default.

LOG_DATE_TIME
    Display the date and time in log messages.
    Disabled by default.

LOG_FILE
    Supported values are "stderr", "stdout", or a file name.
    Default is "stderr".

LOG_FORMAT
    Supported log formats are "text" or "json".
    Default is "text".

LOG_LEVEL
    Supported values are "debug", "info", "warning", or "error".
    Default is "info".

WORKER_POOL_SIZE
    Number of background workers.
    Default is 5 workers.

POLLING_FREQUENCY
    Refresh interval in minutes for feeds.
    Default is 60 minutes.

FORCE_REFRESH_INTERVAL
    The minimum interval for manual refresh.
    Default is 30 minutes.

BATCH_SIZE
    Number of feeds to send to the queue for each interval.
    Default is 100 feeds.

POLLING_SCHEDULER
    Scheduler used for polling feeds. Possible values are "round_robin" or "entry_frequency".
    The maximum number of feeds polled for a given period is subject to POLLING_FREQUENCY and BATCH_SIZE.
    When "entry_frequency" is selected, the refresh interval for a given feed is equal to the average updating interval of the last week of the feed.
    The actual number of feeds polled will not exceed the maximum number of feeds that could be polled for a given period.
    Default is "round_robin".

SCHEDULER_ENTRY_FREQUENCY_MAX_INTERVAL
    Maximum interval in minutes for the entry frequency scheduler.
    Default is 24 hours.

SCHEDULER_ENTRY_FREQUENCY_MIN_INTERVAL
    Minimum interval in minutes for the entry frequency scheduler.
    Default is 5 minutes.

SCHEDULER_ENTRY_FREQUENCY_FACTOR
    Factor to increase refresh frequency for the entry frequency scheduler.
    Default is 1.

SCHEDULER_ROUND_ROBIN_MIN_INTERVAL
    Minimum interval in minutes for the round robin scheduler.
    Default is 60 minutes.

POLLING_PARSING_ERROR_LIMIT
    The maximum number of parsing errors that the program will try before stopping polling a feed. Once the limit is reached, the user must refresh the feed manually. Set to 0 for unlimited.
    Default is 3.

DATABASE_URL
    Postgresql connection parameters.
    Default is "user=postgres password=postgres dbname=miniflux2 sslmode=disable".

DATABASE_URL_FILE
    Path to a secret key exposed as a file, it should contain $DATABASE_URL value.
    Default is empty.

DATABASE_CONNECTION_LIFETIME
    Set the maximum amount of time a connection may be reused.
    Default is 5 minutes.

DATABASE_MAX_CONNS
    Maximum number of database connections.
    Default is 20.

DATABASE_MIN_CONNS
    Minimum number of database connections.
    Default is 20.

LISTEN_ADDR
    Address to listen on. Use absolute path to listen on Unix socket (/var/run/miniflux.sock).
    Default is 127.0.0.1:8080.

PORT
    Override LISTEN_ADDR to 0.0.0.0:$PORT.
    Default is empty.

BASE_URL
    Base URL to generate HTML links and base path for cookies.
    Default is http://localhost/.

CLEANUP_FREQUENCY_HOURS
    Cleanup job frequency. Remove old sessions and archive entries.
    Default is 24 hours.

CLEANUP_ARCHIVE_READ_DAYS
    Number of days after marking read entries as removed.
    Set to -1 to keep all read entries.
    Default is 60 days.

CLEANUP_ARCHIVE_UNREAD_DAYS
    Number of days after marking unread entries as removed.
    Set to -1 to keep all unread entries.
    Default is 180 days.

CLEANUP_ARCHIVE_BATCH_SIZE
    Number of entries to archive for each job interval.
    Default is 10000 entries.

CLEANUP_REMOVE_SESSIONS_DAYS
    Number of days after removing old sessions from the database.
    Default is 30 days.

HTTPS
    Forces cookies to use secure flag and send HSTS header.
    Default is empty.

DISABLE_HSTS
    Disable HTTP Strict Transport Security header if HTTPS is set.
    Default is false (The HSTS is enabled).

DISABLE_HTTP_SERVICE
    Set the value to 1 to disable the HTTP service.
    Default is false (The HTTP service is enabled).

DISABLE_SCHEDULER_SERVICE
    Set the value to 1 to disable the internal scheduler service.
    Default is false (The internal scheduler service is enabled).

CERT_FILE
    Path to SSL certificate.
    Default is empty.

KEY_FILE
    Path to SSL private key.
    Default is empty.

CERT_DOMAIN
    Use Let's Encrypt to get automatically a certificate for this domain.
    Default is empty.

METRICS_COLLECTOR
    Set to 1 to enable metrics collector. Expose a /metrics endpoint for Prometheus.
    Disabled by default.

METRICS_REFRESH_INTERVAL
    Refresh interval to collect database metrics.
    Default is 60 seconds.

METRICS_ALLOWED_NETWORKS
    List of networks allowed to access the metrics endpoint (comma-separated values).
    Default is 127.0.0.1/8.

METRICS_USERNAME
    Metrics endpoint username for basic HTTP authentication.
    Default is emtpty.

METRICS_USERNAME_FILE
    Path to a file that contains the username for the metrics endpoint HTTP authentication.
    Default is emtpty.

METRICS_PASSWORD
    Metrics endpoint password for basic HTTP authentication.
    Default is emtpty.

METRICS_PASSWORD_FILE
    Path to a file that contains the password for the metrics endpoint HTTP authentication.
    Default is emtpty.

OAUTH2_PROVIDER
    Possible values are "google" or "oidc".
    Default is empty.

OAUTH2_CLIENT_ID
    OAuth2 client ID.
    Default is empty.

OAUTH2_CLIENT_ID_FILE
    Path to a secret key exposed as a file, it should contain $OAUTH2_CLIENT_ID value.
    Default is empty.

OAUTH2_CLIENT_SECRET
    OAuth2 client secret.
    Default is empty.

OAUTH2_CLIENT_SECRET_FILE
    Path to a secret key exposed as a file, it should contain $OAUTH2_CLIENT_SECRET value.
    Default is empty.

OAUTH2_REDIRECT_URL
    OAuth2 redirect URL.
    This URL must be registered with the provider and is something like https://miniflux.example.org/oauth2/oidc/callback.
    Default is empty.

OAUTH2_OIDC_DISCOVERY_ENDPOINT
    OpenID Connect discovery endpoint.
    Default is empty.

OAUTH2_USER_CREATION
    Set to 1 to authorize OAuth2 user creation.
    Disabled by default.

RUN_MIGRATIONS
    Set to 1 to run database migrations.
    Disabled by default.

CREATE_ADMIN
    Set to 1 to create an admin user from environment variables.
    Disabled by default.

ADMIN_USERNAME
    Admin user login, used only if $CREATE_ADMIN is enabled.
    Default is empty.

ADMIN_USERNAME_FILE
    Path to a secret key exposed as a file, it should contain $ADMIN_USERNAME value.
    Default is empty.

ADMIN_PASSWORD
    Admin user password, used only if $CREATE_ADMIN is enabled.
    Default is empty.

ADMIN_PASSWORD_FILE
    Path to a secret key exposed as a file, it should contain $ADMIN_PASSWORD value.
    Default is empty.

POCKET_CONSUMER_KEY
    Pocket consumer API key for all users.
    Default is empty.

POCKET_CONSUMER_KEY_FILE
    Path to a secret key exposed as a file, it should contain $POCKET_CONSUMER_KEY value.
    Default is empty.

PROXY_OPTION
    Avoids mixed content warnings for external media: http-only, all, or none.
    Default is http-only.

PROXY_MEDIA_TYPES
    A list of media types to proxify (comma-separated values): image, audio, video.
    Default is image only.

PROXY_HTTP_CLIENT_TIMEOUT
    Time limit in seconds before the proxy HTTP client cancel the request.
    Default is 120 seconds.

PROXY_URL
    Sets a server to proxy media through.
    Default is empty, miniflux does the proxying.

HTTP_CLIENT_TIMEOUT
    Time limit in seconds before the HTTP client cancel the request.
    Default is 20 seconds.

HTTP_CLIENT_MAX_BODY_SIZE
    Maximum body size for HTTP requests in Mebibyte (MiB).
    Default is 15 MiB.

HTTP_CLIENT_PROXY
    Proxy URL for HTTP client.
    Default is empty.

HTTP_CLIENT_USER_AGENT
    The default User-Agent header to use for the HTTP client. Can be overridden in per-feed settings.
    When empty, Miniflux uses a default User-Agent that includes the Miniflux version.
    Default is empty.

HTTP_SERVER_TIMEOUT
    Time limit in seconds before the HTTP client cancel the request.
    Default is 300 seconds.

AUTH_PROXY_HEADER
    Proxy authentication HTTP header.
    Default is empty.

AUTH_PROXY_USER_CREATION
    Set to 1 to create users based on proxy authentication information.
    Disabled by default.

MAINTENANCE_MODE
    Set to 1 to enable maintenance mode.
    Disabled by default.

MAINTENANCE_MESSAGE
    Define a custom maintenance message.
    Default is "Miniflux is currently under maintenance".

WATCHDOG
    Enable or disable Systemd watchdog.
    Enabled by default.

INVIDIOUS_INSTANCE
    Set a custom invidious instance to use.
    Default is yewtu.be.

PROXY_PRIVATE_KEY
    Set a custom custom private key used to sign proxified media URL.
    Default is randomly generated at startup.

WEBAUTHN
    Enable or disable WebAuthn/Passkey authentication.
    Default is disabled.

AUTHORS

Miniflux is written and maintained by Frédéric Guillot.

COPYRIGHT

Miniflux is released under the Apache 2.0 license.